- Update business engagement in campaign (Admin)
Update an existing business engagement relationship in campaign. Admin-only operation. Replaces PUT /campaign/admin/{id}/business-engagement/{businessEngagementId}
A short description of the business engagement, with indications what to do etc
max per day, the maximum number of times a user can engage with the buisness in the campaign per day
- Mock serverhttps://docs.pers.ninja/_mock/swagger/campaigns/{campaignId}/engagements/{businessEngagementId}
- https://api.pers.ninja/v2https://api.pers.ninja/v2/campaigns/{campaignId}/engagements/{businessEngagementId}
curl -i -X PUT \
'https://docs.pers.ninja/_mock/swagger/campaigns/{campaignId}/engagements/{businessEngagementId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"businessIds": "string",
"shortDescription": "string",
"maxPerBusiness": "string",
"maxPerDay": 0,
"externalUrl": "string"
}'Business engagement updated in campaign successfully
Optional owner business ID. If set, this campaign belongs to a specific business. If null, the campaign is tenant-owned (system-level).
Campaign isTestnet, this means that the campaign is running on testnet, not mainnet
Country code restrictions as an array of strings (e.g., ["NOT_ES", "FR"])
[ "NOT_ES", "FR" ]
Campaign trigger: what triggers the campaign, and what are the conditions for the trigger to be activated
Trigger source IDs. Use to batch fetch or request via ?include=triggerSources
[ "trigger-uuid-1", "trigger-uuid-2" ]
{ "id": "string", "ownerBusinessId": "string", "name": "string", "description": "string", "beneficiaryAccountAddress": "string", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "imageUrl": "string", "logoUrl": "string", "externalUrl": "string", "isActive": false, "approval": { "status": "pending_approval", "approvedAt": "2019-08-24T14:15:22Z", "approvedBy": "string", "rejectionReason": "string" }, "isTestnet": false, "createdAt": null, "updatedAt": null, "order": 1, "tags": [], "countryCodeRestrictions": [ "NOT_ES", "FR" ], "trigger": { "name": 0, "description": "string", "terms": "string", "maxPerDay": 0, "maxPerDayPerUser": 0, "maxPerUser": 0, "minCooldownSeconds": 0, "maxGeoDistanceInMeters": 0, "requiredUserInfo": "string", "triggerType": "CLAIM_BY_USER", "maxMultiplier": 0, "completionThreshold": 0, "maxTotal": 0, "maxPerDayTotal": 0, "maxPerSource": 0, "conditions": [ … ], "sourceLogic": "any", "id": "string" }, "tokenUnits": [ [ … ] ], "businessEngagements": [ [ … ] ], "triggerSourceIds": [ "trigger-uuid-1", "trigger-uuid-2" ], "included": { "claimCount": 0, "triggerSources": [ … ], "businesses": [ … ], "ownerBusiness": { … } } }